package com.engine.newwaymask.web;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.engine.common.util.ServiceUtil;
import com.engine.newwaymask.service.StaffDutyService;
import com.engine.newwaymask.service.impl.StaffDutyServiceImpl;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.HashMap;
import java.util.Map;

/**
 * @Author liang.cheng
 * @Date 2025/4/22 18:50
 * @Description:
 * @Version 1.0
 */
public class StaffDutyAction {

    private StaffDutyService getService(User user) {
        return  ServiceUtil.getService(StaffDutyServiceImpl.class, user);
    }


    @GET
    @Path("/calculateAll")
    @Produces(MediaType.TEXT_PLAIN)
    public String calculateAll(@Context HttpServletRequest request, @Context HttpServletResponse response){
        Map<String, Object> data = new HashMap<>(8);
        try {
            User user = HrmUserVarify.getUser(request, response);
            data.putAll(getService(user).calculateAll());
            data.put("code", 200);
        } catch (Exception e) {
            data.put("code", 500);
            data.put("msg", "catch exception : " + e.getMessage());
        }
        return JSONObject.toJSONString(data, SerializerFeature.DisableCircularReferenceDetect);
    }
}
